Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface REAL1

All Superinterfaces:
  ANY, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, QTY

All Known Subinterfaces:
  IVLREAL, IVXBREAL, SXCMREAL

All Known Implementing Classes:
  IVLREALImpl, IVXBREALImpl, REAL1Impl, SXCMREALImpl

    public interface REAL1

extends QTY

A representation of the model object 'REAL1'. Fractional numbers. Typically used whenever quantities are measured, estimated, or computed from other real numbers. The typical representation is decimal, where the number of significant decimal digits is known as the precision. Real numbers are needed beyond integers whenever quantities of the real world are measured, estimated, or computed from other real numbers. The term "Real number" in this specification is used to mean that fractional values are covered without necessarily implying the full set of the mathematical real numbers.

The following features are supported:

- `Value`

See Also:
  `CDAR2Package.getREAL1()`

Method Summary
`java.lang.Object` | `getValue()` Returns the value of the 'Value' attribute.
`void` | `setValue(java.lang.Object value)` Sets the value of the '`Value`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValue

    java.lang.Object getValue()

  Returns the value of the 'Value' attribute.

  If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(Object)`, `CDAR2Package.getREAL1_Value()`

### setValue

    void setValue(java.lang.Object value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD